Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class CHPFormattedDiskPage

    java.lang.Object
      org.apache.poi.hwpf.model.FormattedDiskPage
          org.apache.poi.hwpf.model.CHPFormattedDiskPage

    public final class CHPFormattedDiskPage

extends FormattedDiskPage

Represents a CHP fkp. The style properties for paragraph and character runs are stored in fkps. There are PAP fkps for paragraph properties and CHP fkps for character run properties. The first part of the fkp for both CHP and PAP fkps consists of an array of 4 byte int offsets that represent a Paragraph's or Character run's text offset in the main stream. The ending offset is the next value in the array. For example, if an fkp has X number of Paragraph's stored in it then there are (x + 1) 4 byte ints in the beginning array. The number X is determined by the last byte in a 512 byte fkp. CHP and PAP fkps also store the compressed styles(grpprl) that correspond to the offsets on the front of the fkp. The offset of the grpprls is determined differently for CHP fkps and PAP fkps.

Author:
  Ryan Ackley

Constructor Summary
`CHPFormattedDiskPage()`
`CHPFormattedDiskPage(byte[] documentStream, int offset, CharIndexTranslator translator)` This constructs a CHPFormattedDiskPage from a raw fkp (512 byte array read from a Word file).
`CHPFormattedDiskPage(byte[] documentStream, int offset, int fcMin, TextPieceTable tpt)` Deprecated. Use `CHPFormattedDiskPage(byte[], int, CharIndexTranslator)` instead

Method Summary
`void` | `fill(java.util.List filler)`
`CHPX` | `getCHPX(int index)`
`java.util.List` | `getCHPXs()`
`java.util.ArrayList` | `getOverflow()`

Methods inherited from class org.apache.poi.hwpf.model.FormattedDiskPage
`size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CHPFormattedDiskPage

    public CHPFormattedDiskPage()

### CHPFormattedDiskPage

    public CHPFormattedDiskPage(byte[] documentStream,
                                int offset,
                                int fcMin,
                                TextPieceTable tpt)

  Deprecated. Use `CHPFormattedDiskPage(byte[], int, CharIndexTranslator)` instead

  This constructs a CHPFormattedDiskPage from a raw fkp (512 byte array read from a Word file).

### CHPFormattedDiskPage

    public CHPFormattedDiskPage(byte[] documentStream,
                                int offset,
                                CharIndexTranslator translator)

  This constructs a CHPFormattedDiskPage from a raw fkp (512 byte array read from a Word file).

Method Detail

### getCHPX

    public CHPX getCHPX(int index)

### getCHPXs

    public java.util.List getCHPXs()

### fill

    public void fill(java.util.List filler)

### getOverflow

    public java.util.ArrayList getOverflow()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD